Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.callnotification.sip.management
Interface CallNotificationMBean

public interface CallNotificationMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static int` | `maximumCallLength` Specifies the maxium call duration allowed in minutes Format: int

Method Summary
`NotificationSubscription` | `getCallDirectionSubscription(String correlator)` Displays call direction subscription information associated with the specified correlator.
`int` | `getMaximumCallLength()`
`NotificationSubscription` | `getNotificationSubscription(String correlator)` Displays call notification subscription information associated with the specified correlator.
`String[]` | `listCallDirectionSubscriptions(int offset, int length)` Displays a list of correlators for call direction subscriptions.
`String[]` | `listNotificationSubscriptions(int offset, int length)` Displays a list of correlators for call notification subscriptions.
`void` | `removeAllCallDirectionSubscriptions()` Remove all call direction notification subscriptions.
`void` | `removeAllNotificationSubscriptions()` Remove all call notification subscriptions.
`void` | `removeCallDirectionSubscription(String correlator)` Remove the call direction notification subscription associated with the specified correlator.
`void` | `removeNotificationSubscription(String correlator)` Remove the call notification subscription associated with the specified correlator.
`void` | `setMaximumCallLength(int minutes)`

Field Detail

### maximumCallLength

    public static final int maximumCallLength

  Specifies the maxium call duration allowed in minutes Format: int

  See Also:
    Constant Field Values

Method Detail

### getCallDirectionSubscription

    public NotificationSubscription getCallDirectionSubscription(String correlator)
                                                          throws ManagementException

  Displays call direction subscription information associated with the specified correlator.

  Parameters:
    `correlator` - The correlator associated with the subscription requested.
  Returns:
    The subscription requested.
  Throws:
    `ManagementException`

### getMaximumCallLength

    public int getMaximumCallLength()
                             throws ManagementException

  Throws:
    `ManagementException`

### getNotificationSubscription

    public NotificationSubscription getNotificationSubscription(String correlator)
                                                         throws ManagementException

  Displays call notification subscription information associated with the specified correlator.

  Parameters:
    `correlator` - The correlator associated with the call notification subscription requested.
  Returns:
    The call notification subscription requested.
  Throws:
    `ManagementException`

### listCallDirectionSubscriptions

    public String[] listCallDirectionSubscriptions(int offset,
                                                   int length)
                                            throws ManagementException

  Displays a list of correlators for call direction subscriptions.

  Parameters:
    `offset` - The offset fo where to start the list fo call direction subscriptions returned.
    `length` - Number of call direction subscriptions returned.
  Returns:
    The requested list of call direction subscriptions.
  Throws:
    `ManagementException`

### listNotificationSubscriptions

    public String[] listNotificationSubscriptions(int offset,
                                                  int length)
                                           throws ManagementException

  Displays a list of correlators for call notification subscriptions.

  Parameters:
    `offset` - The offset fo where to start the list fo call notification subscriptions returned.
    `length` - Number of call notification subscriptions returned.
  Returns:
    The requested list of call notification subscriptions.
  Throws:
    `ManagementException`

### removeAllCallDirectionSubscriptions

    public void removeAllCallDirectionSubscriptions()
                                             throws ManagementException

  Remove all call direction notification subscriptions.

  Throws:
    `ManagementException`

### removeAllNotificationSubscriptions

    public void removeAllNotificationSubscriptions()
                                            throws ManagementException

  Remove all call notification subscriptions.

  Throws:
    `ManagementException`

### removeCallDirectionSubscription

    public void removeCallDirectionSubscription(String correlator)
                                         throws ManagementException

  Remove the call direction notification subscription associated with the specified correlator.

  Parameters:
    `correlator` - The correlator associated with the subscription requested for removal.
  Throws:
    `ManagementException`

### removeNotificationSubscription

    public void removeNotificationSubscription(String correlator)
                                        throws ManagementException

  Remove the call notification subscription associated with the specified correlator.

  Parameters:
    `correlator` - The correlator associated with the call notification requested for removal.
  Throws:
    `ManagementException`

### setMaximumCallLength

    public void setMaximumCallLength(int minutes)
                              throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD